---
title: Understanding the Overview Page
---

The main purpose of the Overview/Dashboard page is to let you see - at a glance - the most important information about your store's sales.

$$$
Replace some of these screenshots with ones from a store with actual data.
$$$

***
The terms "Dashboard" and "Overview page" are used interchangeably. Both refer to the page that is displayed when you visit http://yourwebsite.com/admin.
***

# Making Selections

There are a variety of ways to easily impact the information that is displayed to you on the Overview page. You can change the Dashboard locale (and, thus, the language); the date range for the orders and carts summarized; and which store's data is showcased. You can even choose which reports you see based on your own needs.

## Selecting a Locale

## Selecting the Time Frame

By default, the Overview page shows you data about your store from the last 7 days, and compares those figures to data from the previous 7 days.

![Date Range Selector](/images/user/jirafe/date_range_selector.jpg)

You can choose to view data from any of the following:

* Today
* Yesterday
* Last 7 Days (default)
* Last 30 Days
* A specific date range

You can choose among several types of comparisons between the data currently shown and previous sales data. You can choose to compare to:

* The Period Before
* The Day Before
* The Week Before
* The Month Before
* The Year Before

Or you can turn off data comparison altogether, by clicking the green "ON" button next to "Compare To".

## Selecting a Store

$$$
I really don't know what this drop-down is supposed to do. Someone else will have to edify.
$$$

## Refreshing Data

The Dashboard can give you an up-to-date summary of your store's data by simply clicking the Refresh data button.

![Refresh Button](/images/user/jirafe/refresh_dashboard_button.jpg)

# Sales Figures

Spree makes it simple for you to get quick, aggregate figures on your store sales based on a number of metrics.

$$$
Can someone fact-check these descriptions?
$$$

## Revenue

The **Revenue** figure includes all income, including product sales, tax, shipping, and other charges.

## Orders

The **Orders** figure gives the total number of finalized orders for the period shown.

## Visits

The **Visits** figure shows the total number of website visits your website has received for the period shown. It can be useful to gauge the effectiveness of a recent marketing campaign.

## Conversion Rate

**Conversion Rate** reflects the proportion of website visitors that made a purchase, expressed as a percentage.

## Average Order Value

Dividing the Revenue by the Orders for the time period shown gives you the **Average Order Value** or AOV.

## Revenue Per Visit

The **Revenue Per Visit** is calculated by dividing the total Revenue by the number of Visits for the time period shown.

## Customizing

While the reports listed above are the ones shown on the Dashboard by default, you can easily remove the ones that are not as valuable to you, and/or add additional built-in reports.

![Report Customizer Menu](/images/user/jirafe/report_customizer.jpg)

As you can see, there are additional built-in reports, including:

* Total Carts
* Abandoned Carts
* Abandon Rate
* Abandoned Revenue
* Abandoned Average Order Value

Clicking on the star next to the name of any of these reports adds it to what is shown when you click the Overview tab. You can also click on the name of the report to see a more detailed breakdown of the aggregate information. For example, here is the detailed metrics for a sample store's Conversion Rate:

![Conversion Rate Details](/images/user/jirafe/conversion_rate_detail.jpg)

# The Purchase Funnel

$$$
Do these figures change when you select a new time frame, or do they reflect just the previous 7 days?
$$$

Information displayed in the Purchase Funnel section gives you a window into the shopping tendencies of your site's visitors. Using beautifully-rendered pie chart graphics, you can see the total numbers of users who:

* **Visited** - Should be the same as the number shown on the *Visits* report.
* **Stayed** - Remained on the site for longer than [TODO] Longer than what?
* **Shopped** - Looked at individual products.
* **Added to Cart** - Selected one or more products to add to their cart.
* **Purchased** - Completed an order.

# Abandoned Carts

Data in the Abandoned Carts table shows you details about how many users added items to their carts, but did not complete a purchase within the time frame you selected. It also helpfully shows you a comparison of the current time period with the previous time period.

Data shown includes the number of carts that had items added to them (Total Carts), the number of carts that did not result in sales (Abandoned), and the Abandon Rate (abandoned carts divided by total carts).

Furthermore, the graphs sum the total amount of revenue that your store would have received had the orders completed (Abandoned Revenue) and the Average Order Value of the abandoned orders (calculated as abandoned revenue divided by abandoned carts).